Bug 856731 - backlight turned off permanently on boot on hp laptop
backlight turned off permanently on boot on hp laptop
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 12:53 EDT by Trever Adams
Modified: 2013-01-17 07:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-17 07:10:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmidecode dump (8.90 KB, text/plain)
2012-09-20 14:00 EDT, Trever Adams
no flags Details
lspci output (2.50 KB, text/plain)
2012-09-20 14:01 EDT, Trever Adams
no flags Details

  None (edit)
Description Trever Adams 2012-09-12 12:53:15 EDT
Description of problem:
Moving from 3.5.2-3 to 3.5.3-1 causes the backlight on an hp dv6 to turn off on boot (plymouth starting?) and I cannot turn it back on.

Version-Release number of selected component (if applicable):
3.5.3-1

How reproducible:
Every boot

Steps to Reproduce:
1. Install f17 on dv6 (A6Y51UA#ABA)
2. Upgrade to 3.5.3-1
3. Boot and watch the screen go ultra black
  
Actual results:


Expected results:


Additional info:
I am stuck with 3.5.2-3 for now so that it works.
Comment 1 Trever Adams 2012-09-20 14:00:19 EDT
Created attachment 615007 [details]
dmidecode dump
Comment 2 Trever Adams 2012-09-20 14:01:05 EDT
Created attachment 615008 [details]
lspci output

Sorry that I forgot to attach these before.
Comment 3 Trever Adams 2012-09-24 10:19:58 EDT
kernel-3.5.4-1.fc17.x86_64 does not fix it.

Sep 24 08:13:41 Shadowfax kernel: [   41.510733] radeon 0000:00:01.0: couldn't schedule ib
Sep 24 08:13:41 Shadowfax kernel: [   41.510741] [drm:radeon_cs_ib_chunk] *ERROR* Failed to schedule IB !

I just noticed this with 3.5.4-1. I am not sure if this is related or not. It does not seem to appear with the 3.5.2-3 which works.
Comment 4 Trever Adams 2012-10-05 06:22:50 EDT
Interestingly enough this only happens, it seems, if prelink isn't up to date. I am not sure what is going one. 3.5.4-1 started working after prelink. 3.5.4-2 doesn't work, but I haven't run prelink (doing so now).
Comment 5 Josh Boyer 2012-10-05 08:28:13 EDT
If prelink changes how your backlight is behaving, that isn't a kernel issue.  prelink doesn't impact the kernel at all.
Comment 6 Trever Adams 2012-10-05 09:04:24 EDT
I will let you know if prelink does indeed change it. It maybe screen/bios state as well. I am playing with some ideas to see what really changes it.
Comment 7 Trever Adams 2012-10-08 06:32:22 EDT
Ok, as I have looked at this, it appears that it must be plymouth or something else related and not kernel as prelink does seem to be the key. I don't know if it is drm driver specific or not.
Comment 8 Trever Adams 2013-01-16 23:42:40 EST
Sorry for the noise. I believe this is either fixed or mostly fixed in the last F17 kernel. I didn't mean to mark this F18.

Note You need to log in before you can comment on or make changes to this bug.